<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V2.0//EN"
  "http://www.logreport.org/LRSML/2.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="spamfilter" id="top-receiving-spam">

 <lire:title>Top Of Users Receiving SPAM</lire:title>
 <lire:description>
  <para>This report shows which users have received most spam.</para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="period" type="duration" default="1d">
   <lire:description>
    <para>This parameter controls the time period over which the
     different users are counted.
    </para>
   </lire:description>
  </lire:param>
  <lire:param name="users" type="int" default="10">
   <lire:description>
    <para>This parameter controls the amount of people shown.
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Top $users People Receiving SPAM</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:eq arg1="$spam_result" arg2="1"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:group sort="-user_most_spam" limit="$users">
   <lire:field name="user"/>

   <lire:count name="user_most_spam" label="Spam"/>
   <lire:count name="user_ratio" ratio="table" label="% Total"/>
  </lire:group>
 </lire:report-calc-spec>

</lire:report-spec>

<!-- 
Keep this comment at the end of the file
Local variables:
mode: xml
-->
